.pagination-component {
  display: flex;
  align-items: flex-end;

  & .page-button {
    &:hover {
      cursor: pointer;
      text-decoration: underline;
    }
    &:first-of-type {
      border-radius: 5px 0 0 5px;
    }
    &:last-of-type {
      border-radius: 0 5px 5px 0;
    }
    padding: 0.5rem;
    background: lightsteelblue;

    &.selected {
      background: darkgrey;
      box-shadow: inset 1px 1px 1px;
    }

    &:not(:last-of-type):not(.selected) {
      border-right: 1px solid white;
    }
  }
}
